'use strict';

let settings = {
    write(input) {
        if (input !== undefined && input !== null) {
            // Передан элемент

            // Инициализация буфера с данными запроса
            let body = {};

            // Запись в буфер
            body[input.name] = input.value;

            return fetch('/settings/write', {
                method: "POST",
                headers: { "content-type": "application/json" },
                body: JSON.stringify(body)
            }).then((response) => {
                if (response.status === 200) {
                    response.text().then(
                        success => {
                            console.log('[КАЛЬКУЛЯТОР] Записана настройка: ' + input.name);

                            // Переоткрытие страницы
                            // location.reload();
                        },
                        error => {
                            console.log('[КАЛЬКУЛЯТОР] [ОШИБКА] Не удалось записать настройку: ' + input.name);
                        });
                }
            });
        }

        return false;
    }
};
