<?php

declare(strict_types=1);

namespace mirzaev\calculator\controllers;

use mirzaev\calculator\controllers\core;

use Twig\Loader\FilesystemLoader;
use Twig\Environment as view;

/**
 * Контроллер основной страницы
 *
 * @package mirzaev\calculator\controllers
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
final class errors_controller extends core
{
    public function error404(): string
    {
        // Запись кода ответа
        http_response_code(404);

        // Генерация представления
        return 'Не найдено (404)';
    }

    public function error500(): string
    {
        // Запись кода ответа
        http_response_code(500);

        // Генерация представления
        return 'Внутренняя ошибка (500)';
    }
}
