<?php

declare(strict_types=1);

namespace mirzaev\calculator\models\filters;

use mirzaev\calculator\models\filters\import_filter_noname_1;

/**
 * Фильтр импорта цен на медь от неизвестного поставщика под номером 1
 *
 * @package mirzaev\calculator\models\filters
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
final class import_copper_filter extends import_filter_noname_1
{
    /**
     * Название металла
     */
    public string $metal = 'copper';

    public function readCell($columnAddress, $row, $worksheetName = '')
    {
        if ($row >= 717 && $row <= 735) {
            // Найдены строки с маркой М1

            return true;
        }

        return false;
    }
}
