<?php

declare(strict_types=1);

namespace mirzaev\calculator\models\filters;

use mirzaev\calculator\models\filters\import_filter_noname_1;

/**
 * Фильтр импорта цен на оцинкованную сталь от "МЕТАЛЛСЕРВИС"
 *
 * @package mirzaev\calculator\models\filters
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 *
 * @todo 1. Доделать 982 до 992 строки
 * 2. Доделать 1069 до 1077 строки
 */
final class import_galvanized_steel_filter extends import_filter_mc
{
    /**
     * Название металла
     */
    public string $metal = 'galvanized_steel';

    public function readCell($columnAddress, $row, $worksheetName = '')
    {
        if ($row >= 398 && $row <= 404) {
            // Найдены строки с данными (Лист оцинкованный ГОСТ 14918-80)

            return true;
        }

        return false;
    }
}
