'use strict';

let supplies = {
    write(file) {
        if (file !== undefined && file !== null) {
            // Передан файл

            // Инициализация буфера с данными запроса
            let data = new FormData;

            // Запись в буфер
            data.append('supplies', file);

            return fetch('/supplies/write', {
                method: "POST",
                body: data
            }).then((response) => {
                if (response.status === 200) {
                    response.text().then(
                        success => {
                            console.log('[КАЛЬКУЛЯТОР] Загружены данные о поставках металла');
                        },
                        error => {
                            console.log('[КАЛЬКУЛЯТОР] [ОШИБКА] Не удалось загрузить данные о поставках металла');
                        });
                }
            });
        }

        return false;
    }
};
